<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>ConfigurationNodeVisitor (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ConfigurationNodeVisitor (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ConfigurationNodeVisitor.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../org/apache/commons/configuration2/tree/ConfigurationNodeVisitorAdapter.html" title="class in org.apache.commons.configuration2.tree"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/tree/ConfigurationNodeVisitor.html" target="_top">Frames</a></li>
<li><a href="ConfigurationNodeVisitor.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.configuration2.tree</div>
<h2 title="Interface ConfigurationNodeVisitor" class="title">Interface ConfigurationNodeVisitor&lt;T&gt;</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt><span class="paramLabel">Type Parameters:</span></dt>
<dd><code>T</code> - the type of the nodes processed by this visitor</dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.BuilderVisitor.html" title="class in org.apache.commons.configuration2">BaseHierarchicalConfiguration.BuilderVisitor</a>, <a href="../../../../../org/apache/commons/configuration2/tree/ConfigurationNodeVisitorAdapter.html" title="class in org.apache.commons.configuration2.tree">ConfigurationNodeVisitorAdapter</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">ConfigurationNodeVisitor&lt;T&gt;</span></pre>
<div class="block"><p>
 Definition of a <em>Visitor</em> interface for a configuration node
 structure.
 </p>
 <p>
 This is a typical application of the GoF <em>Visitor</em> pattern. An object
 implementing this interface can be used to traverse a hierarchical structure
 of nodes in various ways. The type of the nodes in the structure is generic;
 a corresponding <a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="interface in org.apache.commons.configuration2.tree"><code>NodeHandler</code></a> implementation must be available for
 navigating through the structure.
 </p>
 <p>
 Note that the exact way the methods of a <code>ConfigurationNodeVisitor</code> are
 invoked is dependent on a specific traversal process.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.3</dd>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>$Id: ConfigurationNodeVisitor.java 1624601 2014-09-12 18:04:36Z oheger $</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/ConfigurationNodeVisitor.html#terminate--">terminate</a></span>()</code>
<div class="block">Returns a flag whether the current visit process should be aborted.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/ConfigurationNodeVisitor.html#visitAfterChildren-T-org.apache.commons.configuration2.tree.NodeHandler-">visitAfterChildren</a></span>(<a href="../../../../../org/apache/commons/configuration2/tree/ConfigurationNodeVisitor.html" title="type parameter in ConfigurationNodeVisitor">T</a>&nbsp;node,
                  <a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="interface in org.apache.commons.configuration2.tree">NodeHandler</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/ConfigurationNodeVisitor.html" title="type parameter in ConfigurationNodeVisitor">T</a>&gt;&nbsp;handler)</code>
<div class="block">Visits the specified node after after its children - if existing - have
 been processed.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/ConfigurationNodeVisitor.html#visitBeforeChildren-T-org.apache.commons.configuration2.tree.NodeHandler-">visitBeforeChildren</a></span>(<a href="../../../../../org/apache/commons/configuration2/tree/ConfigurationNodeVisitor.html" title="type parameter in ConfigurationNodeVisitor">T</a>&nbsp;node,
                   <a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="interface in org.apache.commons.configuration2.tree">NodeHandler</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/ConfigurationNodeVisitor.html" title="type parameter in ConfigurationNodeVisitor">T</a>&gt;&nbsp;handler)</code>
<div class="block">Visits the specified node before the children of this node - if existing
 - are processed.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="visitBeforeChildren-java.lang.Object-org.apache.commons.configuration2.tree.NodeHandler-">
<!--   -->
</a><a name="visitBeforeChildren-T-org.apache.commons.configuration2.tree.NodeHandler-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>visitBeforeChildren</h4>
<pre>void&nbsp;visitBeforeChildren(<a href="../../../../../org/apache/commons/configuration2/tree/ConfigurationNodeVisitor.html" title="type parameter in ConfigurationNodeVisitor">T</a>&nbsp;node,
                         <a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="interface in org.apache.commons.configuration2.tree">NodeHandler</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/ConfigurationNodeVisitor.html" title="type parameter in ConfigurationNodeVisitor">T</a>&gt;&nbsp;handler)</pre>
<div class="block">Visits the specified node before the children of this node - if existing
 - are processed.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>node</code> - the node to be visited</dd>
<dd><code>handler</code> - the <code>NodeHandler</code></dd>
</dl>
</li>
</ul>
<a name="visitAfterChildren-java.lang.Object-org.apache.commons.configuration2.tree.NodeHandler-">
<!--   -->
</a><a name="visitAfterChildren-T-org.apache.commons.configuration2.tree.NodeHandler-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>visitAfterChildren</h4>
<pre>void&nbsp;visitAfterChildren(<a href="../../../../../org/apache/commons/configuration2/tree/ConfigurationNodeVisitor.html" title="type parameter in ConfigurationNodeVisitor">T</a>&nbsp;node,
                        <a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="interface in org.apache.commons.configuration2.tree">NodeHandler</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/ConfigurationNodeVisitor.html" title="type parameter in ConfigurationNodeVisitor">T</a>&gt;&nbsp;handler)</pre>
<div class="block">Visits the specified node after after its children - if existing - have
 been processed.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>node</code> - the node to be visited</dd>
<dd><code>handler</code> - the <code>NodeHandler</code></dd>
</dl>
</li>
</ul>
<a name="terminate--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>terminate</h4>
<pre>boolean&nbsp;terminate()</pre>
<div class="block">Returns a flag whether the current visit process should be aborted. This
 method allows a visitor implementation to state that it does not need any
 further data. It may be used e.g. by visitors that search for a certain
 node in the hierarchy. After that node was found, there is no need to
 process the remaining nodes, too. This method is called after each
 visited node. A result of <strong>true</strong> indicates that the
 current iteration is to be aborted.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a flag if the visit process should be stopped</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ConfigurationNodeVisitor.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../org/apache/commons/configuration2/tree/ConfigurationNodeVisitorAdapter.html" title="class in org.apache.commons.configuration2.tree"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/tree/ConfigurationNodeVisitor.html" target="_top">Frames</a></li>
<li><a href="ConfigurationNodeVisitor.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
